A FinancialAccount represents a balance and can be used as the source or destination for the money management (/v2/money_) APIs.
Attributes
- idstring
Unique identifier for the object.
- objectstring, value is "v2.money_management.financial_account"
String representing the object’s type. Objects of the same type share the same value of the object field.
- balanceobject
Multi-currency balance of this FinancialAccount, split by availability state. Each balance is represented as a hash where the key is the three-letter ISO currency code, in lowercase, and the value is the amount for that currency.
- countryenum
Two-letter country code that represents the country where the LegalEntity associated with the FinancialAccount is based in.
- createdtimestamp
Time at which the object was created.
- display_
namenullable string A descriptive name for the FinancialAccount, up to 50 characters long. This name will be used in the Stripe Dashboard and embedded components.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - metadatanullable map
Metadata associated with the FinancialAccount.
- othernullable object
If this is a
otherFinancialAccount, this hash indicates what the actual type is. Upgrade your API version to see it reflected intype. - statusenum
An enum representing the status of the FinancialAccount. This indicates whether or not the FinancialAccount can be used for any money movement flows.
Possible enum valuesclosedThe FinancialAccount is closed and cannot be used anymore.
openThe FinancialAccount is open and available for use.
pendingThe FinancialAccount was created and is in the process of being opened.
- status_
detailsnullable objectPreview feature - storagenullable object
If this is a
storageFinancialAccount, this hash includes details specific tostorageFinancialAccounts. - typeenum
Type of the FinancialAccount. An additional hash is included on the FinancialAccount with a name matching this value. It contains additional information specific to the FinancialAccount type.
Possible enum valuesotherThe API version used does not support the FinancialAccount’s type.
storageUsed for the long term storage of funds and sending those funds to others.
{ "id": "fa_65NvTFNdpXXUx1kx1rB16NoTesLDSQ1IgNPigisRKq09iq", "object": "v2.money_management.financial_account", "balance": { "available": { "usd": { "value": 0, "currency": "usd" } }, "inbound_pending": { "usd": { "value": 0, "currency": "usd" } }, "outbound_pending": { "usd": { "value": 0, "currency": "usd" } } }, "country": "US", "created": "2023-02-24T22:48:56.363Z", "display_name": "Sample FinancialAccount", "livemode": true, "metadata": null, "status": "open", "storage": { "holds_currencies": [ "usd" ] }, "type": "storage"}Creates a new FinancialAccount.
Learn more about calling API v2 endpoints.Parameters
- typeenumRequired
The type of FinancialAccount to create.
Possible enum valuesstorageUsed for the long term storage of funds and sending those funds to others.
- display_
namestring A descriptive name for the FinancialAccount, up to 50 characters long. This name will be used in the Stripe Dashboard and embedded components.
- metadatamap
Metadata associated with the FinancialAccount.
- storageobject
Parameters specific to creating
storagetype FinancialAccounts.
Returns
Response attributes
- idstring
Unique identifier for the object.
- objectstring, value is "v2.money_management.financial_account"
String representing the object’s type. Objects of the same type share the same value of the object field.
- balanceobject
Multi-currency balance of this FinancialAccount, split by availability state. Each balance is represented as a hash where the key is the three-letter ISO currency code, in lowercase, and the value is the amount for that currency.
- countryenum
Two-letter country code that represents the country where the LegalEntity associated with the FinancialAccount is based in.
- createdtimestamp
Time at which the object was created.
- display_
namenullable string A descriptive name for the FinancialAccount, up to 50 characters long. This name will be used in the Stripe Dashboard and embedded components.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - metadatanullable map
Metadata associated with the FinancialAccount.
- othernullable object
If this is a
otherFinancialAccount, this hash indicates what the actual type is. Upgrade your API version to see it reflected intype. - statusenum
An enum representing the status of the FinancialAccount. This indicates whether or not the FinancialAccount can be used for any money movement flows.
Possible enum valuesclosedThe FinancialAccount is closed and cannot be used anymore.
openThe FinancialAccount is open and available for use.
pendingThe FinancialAccount was created and is in the process of being opened.
- status_
detailsnullable objectPreview feature - storagenullable object
If this is a
storageFinancialAccount, this hash includes details specific tostorageFinancialAccounts. - typeenum
Type of the FinancialAccount. An additional hash is included on the FinancialAccount with a name matching this value. It contains additional information specific to the FinancialAccount type.
Possible enum valuesotherThe API version used does not support the FinancialAccount’s type.
storageUsed for the long term storage of funds and sending those funds to others.
The resource already exists.
The compartment has reached its limit on open FinancialAccounts.
The currency is not supported as the platform does not have a Financial Account that holds the currency.
The required storer capabilities are missing.
The required storer capabilities are not active.
The currency is not supported for Financial Accounts.
An idempotent retry occurred with different request parameters.
{ "id": "fa_65So897Og7nsSRgcz1L16SmeOD0tE9TfqsMPW2uZH3IEky", "object": "v2.money_management.financial_account", "balance": { "available": { "usd": { "value": 0, "currency": "usd" } }, "inbound_pending": { "usd": { "value": 0, "currency": "usd" } }, "outbound_pending": { "usd": { "value": 0, "currency": "usd" } } }, "country": "US", "created": "2025-06-27T21:52:05.197Z", "display_name": "Sample FinancialAccount", "livemode": true, "metadata": null, "status": "pending", "storage": { "holds_currencies": [ "usd" ] }, "type": "storage"}Updates an existing FinancialAccount.
Learn more about calling API v2 endpoints.Parameters
- idstringRequired
ID of the FinancialAccount to get updated.
- display_
namestring A descriptive name for the FinancialAccount, up to 50 characters long. This name will be used in the Stripe Dashboard and embedded components.
- metadatamap
Metadata associated with the FinancialAccount.
Returns
Response attributes
- idstring
Unique identifier for the object.
- objectstring, value is "v2.money_management.financial_account"
String representing the object’s type. Objects of the same type share the same value of the object field.
- balanceobject
Multi-currency balance of this FinancialAccount, split by availability state. Each balance is represented as a hash where the key is the three-letter ISO currency code, in lowercase, and the value is the amount for that currency.
- countryenum
Two-letter country code that represents the country where the LegalEntity associated with the FinancialAccount is based in.
- createdtimestamp
Time at which the object was created.
- display_
namenullable string A descriptive name for the FinancialAccount, up to 50 characters long. This name will be used in the Stripe Dashboard and embedded components.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - metadatanullable map
Metadata associated with the FinancialAccount.
- othernullable object
If this is a
otherFinancialAccount, this hash indicates what the actual type is. Upgrade your API version to see it reflected intype. - statusenum
An enum representing the status of the FinancialAccount. This indicates whether or not the FinancialAccount can be used for any money movement flows.
Possible enum valuesclosedThe FinancialAccount is closed and cannot be used anymore.
openThe FinancialAccount is open and available for use.
pendingThe FinancialAccount was created and is in the process of being opened.
- status_
detailsnullable objectPreview feature - storagenullable object
If this is a
storageFinancialAccount, this hash includes details specific tostorageFinancialAccounts. - typeenum
Type of the FinancialAccount. An additional hash is included on the FinancialAccount with a name matching this value. It contains additional information specific to the FinancialAccount type.
Possible enum valuesotherThe API version used does not support the FinancialAccount’s type.
storageUsed for the long term storage of funds and sending those funds to others.
The currency is not supported as the platform does not have a Financial Account that holds the currency.
Modification of an object is not allowed on a managed account.
The resource wasn’t found.
{ "id": "fa_65NvTFNdpXXUx1kx1rB16NoTesLDSQ1IgNPigisRKq09iq", "object": "v2.money_management.financial_account", "balance": { "available": { "usd": { "value": 0, "currency": "usd" } }, "inbound_pending": { "usd": { "value": 0, "currency": "usd" } }, "outbound_pending": { "usd": { "value": 0, "currency": "usd" } } }, "country": "US", "created": "2025-06-27T21:52:05.197Z", "display_name": "My FinancialAccount", "livemode": true, "metadata": { "key": "value" }, "status": "open", "storage": { "holds_currencies": [ "usd" ] }, "type": "storage"}Retrieves the details of an existing FinancialAccount.
Learn more about calling API v2 endpoints.Parameters
- idstringRequired
ID of the FinancialAccount to be fetched.
Returns
Response attributes
- idstring
Unique identifier for the object.
- objectstring, value is "v2.money_management.financial_account"
String representing the object’s type. Objects of the same type share the same value of the object field.
- balanceobject
Multi-currency balance of this FinancialAccount, split by availability state. Each balance is represented as a hash where the key is the three-letter ISO currency code, in lowercase, and the value is the amount for that currency.
- countryenum
Two-letter country code that represents the country where the LegalEntity associated with the FinancialAccount is based in.
- createdtimestamp
Time at which the object was created.
- display_
namenullable string A descriptive name for the FinancialAccount, up to 50 characters long. This name will be used in the Stripe Dashboard and embedded components.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - metadatanullable map
Metadata associated with the FinancialAccount.
- othernullable object
If this is a
otherFinancialAccount, this hash indicates what the actual type is. Upgrade your API version to see it reflected intype. - statusenum
An enum representing the status of the FinancialAccount. This indicates whether or not the FinancialAccount can be used for any money movement flows.
Possible enum valuesclosedThe FinancialAccount is closed and cannot be used anymore.
openThe FinancialAccount is open and available for use.
pendingThe FinancialAccount was created and is in the process of being opened.
- status_
detailsnullable objectPreview feature - storagenullable object
If this is a
storageFinancialAccount, this hash includes details specific tostorageFinancialAccounts. - typeenum
Type of the FinancialAccount. An additional hash is included on the FinancialAccount with a name matching this value. It contains additional information specific to the FinancialAccount type.
Possible enum valuesotherThe API version used does not support the FinancialAccount’s type.
storageUsed for the long term storage of funds and sending those funds to others.
The resource wasn’t found.
{ "id": "fa_65NvTFNdpXXUx1kx1rB16NoTesLDSQ1IgNPigisRKq09iq", "object": "v2.money_management.financial_account", "balance": { "available": { "usd": { "value": 0, "currency": "usd" } }, "inbound_pending": { "usd": { "value": 0, "currency": "usd" } }, "outbound_pending": { "usd": { "value": 0, "currency": "usd" } } }, "country": "US", "created": "2023-02-24T22:48:56.363Z", "display_name": "Sample FinancialAccount", "livemode": true, "metadata": null, "status": "open", "storage": { "holds_currencies": [ "usd" ] }, "type": "storage"}